summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave at gmail {dot} com>2010-05-13 00:59:39 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:59:39 +0200
commit1411aea895650bcda8a1e6c228a9bd0c4f33b8db (patch)
tree20ff5e5d91f91d592b7556038b0c848ff2456072 /multimedia
parent205e20254b6f55c3adfdbfb6a449bdc66ae93405 (diff)
downloadslackbuilds-1411aea895650bcda8a1e6c228a9bd0c4f33b8db.tar.gz
slackbuilds-1411aea895650bcda8a1e6c228a9bd0c4f33b8db.tar.xz
multimedia/get_iplayer: Added to 13.0 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/get_iplayer/README19
-rw-r--r--multimedia/get_iplayer/get_iplayer.SlackBuild59
-rw-r--r--multimedia/get_iplayer/get_iplayer.info10
-rw-r--r--multimedia/get_iplayer/slack-desc19
4 files changed, 107 insertions, 0 deletions
diff --git a/multimedia/get_iplayer/README b/multimedia/get_iplayer/README
new file mode 100644
index 0000000000..2e1a50b381
--- /dev/null
+++ b/multimedia/get_iplayer/README
@@ -0,0 +1,19 @@
+get_iplayer allows you to search, index and record/stream:
+
+ * BBC iPlayer TV - up to 3200 kbps HD 720p H.264 / Quicktime / MP4
+ * BBC Live TV - 500 kbps H.264 / MP4
+ * BBC iPlayer Radio - up to 192 kbps MP3 / AAC and Realaudio
+ * BBC Live Radio - up to 192 kbps MP3 / AAC, WMA and Realaudio
+ * BBC Podcasts - up to 192 kbps MP3 / AAC
+ * BBC iPlayer TV subtitles - SubRip / srt
+
+It emulates an iPhone from the BBC's server's point of view, thus allowing
+the download of DRM-free H.264 feeds.
+
+Requires perl-html-parser and libwww-perl (available at SlackBuilds.org).
+Optionally depends on flvstreamer (also available at SlackBuilds.org). This
+is a recommended optional dependency as not all streams are available in
+H.264 format, and flvstreamer allows get_iplayer to download the Adobe
+Flash files instead.
+
+This build does not include to PVR components (yet).
diff --git a/multimedia/get_iplayer/get_iplayer.SlackBuild b/multimedia/get_iplayer/get_iplayer.SlackBuild
new file mode 100644
index 0000000000..d4b19600bf
--- /dev/null
+++ b/multimedia/get_iplayer/get_iplayer.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for get_iplayer
+#
+# Copyright 2009 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=get_iplayer
+VERSION=${VERSION:-2.66}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/bin
+install -m 755 get_iplayer $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.txt LICENSE.txt MANIFEST.txt README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/get_iplayer/get_iplayer.info b/multimedia/get_iplayer/get_iplayer.info
new file mode 100644
index 0000000000..d242a12f49
--- /dev/null
+++ b/multimedia/get_iplayer/get_iplayer.info
@@ -0,0 +1,10 @@
+PRGNAM="get_iplayer"
+VERSION="2.66"
+HOMEPAGE="http://linuxcentre.net/get_iplayer"
+DOWNLOAD="http://linuxcentre.net/get_iplayer/packages/get_iplayer-2.66.tar.gz"
+MD5SUM="bb90d49021b06cfca1faea2b42959b08"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave <at> gmail {dot} com"
+APPROVED="dsomero"
diff --git a/multimedia/get_iplayer/slack-desc b/multimedia/get_iplayer/slack-desc
new file mode 100644
index 0000000000..c030c62209
--- /dev/null
+++ b/multimedia/get_iplayer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+get_iplayer: get_iplayer (allows you to search, index and record/streams)
+get_iplayer:
+get_iplayer: * BBC iPlayer TV - up to 3200 kbps HD 720p H.264 / Quicktime / MP4
+get_iplayer: * BBC Live TV - 500 kbps H.264 / MP4
+get_iplayer: * BBC iPlayer Radio - up to 192 kbps MP3 / AAC and Realaudio
+get_iplayer: * BBC Live Radio - up to 192 kbps MP3 / AAC, WMA and Realaudio
+get_iplayer: * BBC Podcasts - up to 192 kbps MP3 / AAC
+get_iplayer: * BBC iPlayer TV subtitles - SubRip / srt
+get_iplayer:
+get_iplayer: It emulates an iPhone from the BBC's server's point of view, thus
+get_iplayer: allowingthe download of DRM-free H.264 feeds.